Advertisement
Guest User

OpenHAB JUnit test error

a guest
Mar 31st, 2016
138
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. !SESSION 2016-03-31 21:33:00.566 -----------------------------------------------
  2. eclipse.buildId=unknown
  3. java.version=1.7.0_40
  4. java.vendor=Oracle Corporation
  5. BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=de_DE
  6. Framework arguments: -version 3 -port 61493 -testLoaderClass org.eclipse.jdt.internal.junit4.runner.JUnit4TestLoader -loaderpluginname org.eclipse.jdt.junit4.runtime -classNames org.openhab.binding.http.internal.HttpGenericBindingProviderTest -application org.eclipse.pde.junit.runtime.nonuithreadtestapplication -testApplication org.eclipse.pde.junit.runtime.coretestapplication -testpluginname org.openhab.binding.http
  7. Command-line arguments: -os macosx -ws cocoa -arch x86_64 -consoleLog -version 3 -port 61493 -testLoaderClass org.eclipse.jdt.internal.junit4.runner.JUnit4TestLoader -loaderpluginname org.eclipse.jdt.junit4.runtime -classNames org.openhab.binding.http.internal.HttpGenericBindingProviderTest -application org.eclipse.pde.junit.runtime.nonuithreadtestapplication -testApplication org.eclipse.pde.junit.runtime.coretestapplication -data /Users/mad/Documents/openhab_workspace/eclipse/openhab-master/ws/../junit-workspace -dev file:/Users/mad/Documents/openhab_workspace/eclipse/openhab-master/ws/.metadata/.plugins/org.eclipse.pde.core/pde-junit/dev.properties -os macosx -ws cocoa -arch x86_64 -consoleLog -testpluginname org.openhab.binding.http
  8.  
  9. !ENTRY org.eclipse.pde.junit.runtime 4 0 2016-03-31 21:33:01.286
  10. !MESSAGE FrameworkEvent ERROR
  11. !STACK 0
  12. org.osgi.framework.BundleException: Could not resolve module: org.eclipse.pde.junit.runtime [8]
  13. Unresolved requirement: Import-Package: org.eclipse.ui.testing; resolution:="optional"
  14. Unresolved requirement: Require-Bundle: org.eclipse.core.runtime; bundle-version="[3.11.0,4.0.0)"
  15.  
  16. at org.eclipse.osgi.container.Module.start(Module.java:434)
  17. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
  18. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
  19. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
  20. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
  21. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
  22. at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
  23. at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
  24.  
  25. !ENTRY org.eclipse.xtext.common.types 4 0 2016-03-31 21:33:01.289
  26. !MESSAGE FrameworkEvent ERROR
  27. !STACK 0
  28. org.osgi.framework.BundleException: Could not resolve module: org.eclipse.xtext.common.types [31]
  29. Unresolved requirement: Import-Package: org.apache.commons.logging; version="1.0.4"; resolution:="optional"
  30. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe2.lib; bundle-version="2.2.0"; x-installation:="greedy"; resolution:="optional"
  31. Unresolved requirement: Require-Bundle: org.objectweb.asm; bundle-version="[5.0.1,6.0.0)"
  32.  
  33. at org.eclipse.osgi.container.Module.start(Module.java:434)
  34. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
  35. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
  36. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
  37. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
  38. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
  39. at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
  40. at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
  41.  
  42. !ENTRY org.openhab.io.multimedia.tts.marytts 4 0 2016-03-31 21:33:01.289
  43. !MESSAGE FrameworkEvent ERROR
  44. !STACK 0
  45. org.osgi.framework.BundleException: Could not resolve module: org.openhab.io.multimedia.tts.marytts [36]
  46. Unresolved requirement: Import-Package: org.openhab.io.multimedia.tts
  47.  
  48. at org.eclipse.osgi.container.Module.start(Module.java:434)
  49. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
  50. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
  51. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
  52. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
  53. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
  54. at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
  55. at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
  56.  
  57. !ENTRY org.eclipse.xtext.xbase 4 0 2016-03-31 21:33:01.290
  58. !MESSAGE FrameworkEvent ERROR
  59. !STACK 0
  60. org.osgi.framework.BundleException: Could not resolve module: org.eclipse.xtext.xbase [47]
  61. Unresolved requirement: Import-Package: com.ibm.icu.text; version="4.0.0"; resolution:="optional"
  62. Unresolved requirement: Require-Bundle: org.eclipse.xtext.generator; bundle-version="2.6.2"; x-installation:="greedy"; resolution:="optional"
  63. Unresolved requirement: Require-Bundle: de.itemis.xtext.antlr; bundle-version="2.0.0"; x-installation:="greedy"; resolution:="optional"
  64. Unresolved requirement: Require-Bundle: org.eclipse.emf.codegen.ecore; bundle-version="[2.10.0,3.0.0)"; x-installation:="greedy"; resolution:="optional"
  65. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe.utils; bundle-version="[1.3.0,2.0.0)"; resolution:="optional"
  66. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe.core; bundle-version="[1.3.0,2.0.0)"; resolution:="optional"
  67. Unresolved requirement: Require-Bundle: org.eclipse.xtext.common.types; bundle-version="2.6.2"; visibility:="reexport"
  68. -> Bundle-SymbolicName: org.eclipse.xtext.common.types; bundle-version="2.6.2.v201407030533"; singleton:="true"
  69. org.eclipse.xtext.common.types [31]
  70. Unresolved requirement: Import-Package: org.apache.commons.logging; version="1.0.4"; resolution:="optional"
  71. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe2.lib; bundle-version="2.2.0"; x-installation:="greedy"; resolution:="optional"
  72. Unresolved requirement: Require-Bundle: org.objectweb.asm; bundle-version="[5.0.1,6.0.0)"
  73.  
  74. at org.eclipse.osgi.container.Module.start(Module.java:434)
  75. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
  76. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
  77. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
  78. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
  79. at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
  80. at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
  81. at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
  82.  
  83. !ENTRY org.openhab.binding.http 2 0 2016-03-31 21:33:01.456
  84. !MESSAGE Could not resolve module: org.openhab.binding.http [14]
  85. Unresolved requirement: Import-Package: org.openhab.core.binding
  86.  
  87.  
  88. !ENTRY org.openhab.io.multimedia.tts.marytts 2 0 2016-03-31 21:33:01.456
  89. !MESSAGE Could not resolve module: org.openhab.io.multimedia.tts.marytts [36]
  90. Unresolved requirement: Import-Package: org.openhab.io.multimedia.tts
  91.  
  92.  
  93. !ENTRY org.openhab.binding.http.test 2 0 2016-03-31 21:33:01.457
  94. !MESSAGE Could not resolve module: org.openhab.binding.http.test [28]
  95. Unresolved requirement: Fragment-Host: org.openhab.binding.http
  96. -> Bundle-SymbolicName: org.openhab.binding.http; bundle-version="1.9.0.qualifier"
  97. org.openhab.binding.http [14]
  98. Unresolved requirement: Import-Package: org.openhab.core.binding
  99.  
  100.  
  101. !ENTRY org.eclipse.pde.junit.runtime 2 0 2016-03-31 21:33:01.457
  102. !MESSAGE Could not resolve module: org.eclipse.pde.junit.runtime [8]
  103. Unresolved requirement: Import-Package: org.eclipse.ui.testing; resolution:="optional"
  104. Unresolved requirement: Require-Bundle: org.eclipse.core.runtime; bundle-version="[3.11.0,4.0.0)"
  105.  
  106.  
  107. !ENTRY org.eclipse.xtext.xbase 2 0 2016-03-31 21:33:01.458
  108. !MESSAGE Could not resolve module: org.eclipse.xtext.xbase [47]
  109. Unresolved requirement: Import-Package: com.ibm.icu.text; version="4.0.0"; resolution:="optional"
  110. Unresolved requirement: Require-Bundle: org.eclipse.xtext.generator; bundle-version="2.6.2"; x-installation:="greedy"; resolution:="optional"
  111. Unresolved requirement: Require-Bundle: de.itemis.xtext.antlr; bundle-version="2.0.0"; x-installation:="greedy"; resolution:="optional"
  112. Unresolved requirement: Require-Bundle: org.eclipse.emf.codegen.ecore; bundle-version="[2.10.0,3.0.0)"; x-installation:="greedy"; resolution:="optional"
  113. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe.utils; bundle-version="[1.3.0,2.0.0)"; resolution:="optional"
  114. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe.core; bundle-version="[1.3.0,2.0.0)"; resolution:="optional"
  115. Unresolved requirement: Require-Bundle: org.eclipse.xtext.common.types; bundle-version="2.6.2"; visibility:="reexport"
  116. -> Bundle-SymbolicName: org.eclipse.xtext.common.types; bundle-version="2.6.2.v201407030533"; singleton:="true"
  117. org.eclipse.xtext.common.types [31]
  118. Unresolved requirement: Import-Package: org.apache.commons.logging; version="1.0.4"; resolution:="optional"
  119. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe2.lib; bundle-version="2.2.0"; x-installation:="greedy"; resolution:="optional"
  120. Unresolved requirement: Require-Bundle: org.objectweb.asm; bundle-version="[5.0.1,6.0.0)"
  121.  
  122.  
  123. !ENTRY org.eclipse.xtext.common.types 2 0 2016-03-31 21:33:01.459
  124. !MESSAGE Could not resolve module: org.eclipse.xtext.common.types [31]
  125. Unresolved requirement: Import-Package: org.apache.commons.logging; version="1.0.4"; resolution:="optional"
  126. Unresolved requirement: Require-Bundle: org.eclipse.emf.mwe2.lib; bundle-version="2.2.0"; x-installation:="greedy"; resolution:="optional"
  127. Unresolved requirement: Require-Bundle: org.objectweb.asm; bundle-version="[5.0.1,6.0.0)"
  128.  
  129.  
  130. !ENTRY org.apache.commons.httpclient 2 0 2016-03-31 21:33:01.459
  131. !MESSAGE Could not resolve module: org.apache.commons.httpclient [7]
  132. Unresolved requirement: Import-Package: org.apache.commons.logging; version="[1.0.4,2.0.0)"
  133.  
  134.  
  135. !ENTRY org.eclipse.osgi 4 0 2016-03-31 21:33:01.460
  136. !MESSAGE Application error
  137. !STACK 1
  138. java.lang.RuntimeException: Application "org.eclipse.pde.junit.runtime.nonuithreadtestapplication" could not be found in the registry. The applications available are: org.eclipse.equinox.app.error.
  139. at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
  140. at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
  141. at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
  142. at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
  143. at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
  144. at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
  145. at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
  146. at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
  147. at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
  148. at java.lang.reflect.Method.invoke(Method.java:606)
  149. at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
  150. at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
  151. at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
  152. at org.eclipse.equinox.launcher.Main.main(Main.java:1438)
Advertisement
RAW Paste Data Copied
Advertisement